<?php
/**
 * The template for displaying 404 pages (Not Found)
 */
$matelick_redux_demo = get_option('redux_demo');
get_header(); ?> 
<!--  Page Content, class footer-fixed if footer is fixed  -->
<div id="page-content" class="header-static">
    <!--  Slider  -->
    <div id="flexslider" class="fullpage-wrap small">
        <ul class="slides">
            <?php if(isset($matelick_redux_demo['404_background']['url']) && ($matelick_redux_demo['404_background']['url'] != '')){?>
            <li style="background-image:url(<?php echo esc_url($matelick_redux_demo['404_background']['url']); ?>)">
            <?php }else{?>
            <li style="background-image:url(<?php echo get_template_directory_uri();?>/assets/img/404.jpg)">
            <?php } ?>
                <div class="text text-center">
                    <h1 class="white margin-bottom-small"><?php if(isset($matelick_redux_demo['404_title'])){?>
                        <?php echo htmlspecialchars_decode(esc_attr($matelick_redux_demo['404_title']));?>
                        <?php }else{?>
                        <?php echo esc_html__( '404', 'matelick' );
                        }?></h1>
                    <p class="heading white margin-bottom"><?php if(isset($matelick_redux_demo['404_desc'])){?>
                            <?php echo htmlspecialchars_decode(esc_attr($matelick_redux_demo['404_desc']));?>
                            <?php }else{?>
                            <?php echo esc_html__( 'OOPPS! THE PAGE YOU WERE LOOKING FOR, COULD NOT BE FOUND.', 'matelick' );
                            }
                            ?></p>
                    <a href="<?php echo esc_url(home_url('/')); ?>" class="btn-alt small active margin-null shadow"><?php if(isset($redux_demo['404_button'])){?>
                            <?php echo htmlspecialchars_decode($redux_demo['404_button']);?>
                            <?php }else{?>
                            <?php echo esc_html__( 'Back To Home', 'matelick' );
                            }
                            ?></a>
                </div>
                <div class="gradient dark"></div>
            </li>
        </ul>
    </div>
    <!--  END Slider  -->
<?php get_footer('404'); ?>