<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains comments and the comment form.
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() )
    return;
?>
<?php if ( have_comments() ) : ?>
    <div id="comments">
        <ul class="nav nav-tabs" role="tablist">
            <li class="comment-title"><?php comments_number( esc_html__('0 Comments', 'matelick'), esc_html__('1 Comment', 'matelick'), esc_html__('% Comments', 'matelick') ); ?></li>
        </ul>
        <!--  Nav Tabs  -->
        <!-- Tab panes -->
        <div class="tab-content no-margin-bottom">
            <div role="tabpanel" class="tab-pane active padding-onlytop-md" id="tab-one">
                <?php wp_list_comments('callback=matelick_theme_comment'); ?> 
            </div>
        </div>
    </div>
    <?php
    if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
    ?>
        <div class="pagination_area">
            <nav>
                <ul class="pagination">
                    <li> <?php paginate_comments_links( 
                          array(
                          'prev_text' => wp_specialchars_decode( '<i class="fa fa-angle-left"></i>',ENT_QUOTES),
                          'next_text' => wp_specialchars_decode( '<i class="fa fa-angle-right"></i>',ENT_QUOTES),
                          ));  ?>
                    </li>
                </ul>
            </nav>
        </div>
    <?php endif; ?>
    <!-- END PAGINATION -->
<?php endif; ?>        
<?php
    if ( is_singular() ) wp_enqueue_script( "comment-reply" );
        $aria_req = ( $req ? " aria-required='true'" : '' );
        $comment_args = array(
            'id_form' => 'contact-form',        
            'class_form' => '',                         
            'title_reply'=> esc_html__( 'Leave A Comment', 'matelick' ),
            'title_reply_before' => '<ul class="nav nav-tabs" role="tablist">
                                        <li class="comment-title">',
            'title_reply_after'  => '   </li>
                                    </ul>',
            'fields' => apply_filters( 'comment_form_default_fields', array(
                'author'=> '<div class="row">
                                <div class="col-md-6">
                                    <input class="form-field" name="author" id="name" type="text" placeholder="'.esc_attr__('Full Name', 'matelick').'" required="'.esc_attr__('required', 'matelick').'" data-error="'.esc_attr__('Name is required.', 'matelick').'">
                                </div>',
                'email' => '    
                                <div class="col-md-6">
                                    <input type="email" name="email" id="mail" class="form-field"   placeholder="'.esc_attr__('Email Address', 'matelick').'" required="'.esc_attr__('required', 'matelick').'" data-error="'.esc_attr__('Valid email is required.', 'matelick').'">
                                </div>
                            </div>', 
            ) ),   
            'comment_field' => '<div class="row">
                                    <div class="col-md-12">
                                        <textarea class="form-field" name="comment" id="comments" rows="6" placeholder="'.esc_attr__('Write a comment...', 'matelick').'" required="'.esc_attr__('required', 'matelick').'" data-error="'.esc_attr__('Please,leave us a message.', 'matelick').'"></textarea>
                                    </div>
                                </div>',
            'label_submit' => esc_html__( 'Post A Comment', 'matelick' ),
            'submit_button' =>  '<input type="submit" value="Post A Comment" id="submit-contact %2$s" class="btn-alt"'.esc_attr__('%4$s', 'matelick').'>',
            'submit_field' =>   '<div class="row">
                                    <div class="col-md-12">
                                        <div class="submit-area">
                                            '.esc_attr__('%1$s', 'matelick').' '.esc_attr__('%2$s', 'matelick').'
                                        </div>
                                    </div>
                                </div>',
            'comment_notes_before' => '',
            'comment_notes_after' => '',             
        )
    ?>
    <?php if ( comments_open() ) : ?>
        <div role="tabpanel" class="tab-pane padding-md" id="tab-two">
            <section class="comment-form">
            <?php comment_form($comment_args); ?>
            </section>
        </div>
    <?php endif; ?>    
