<!doctype html>
<html class="no-js" <?php language_attributes(); ?>>
<?php $matelick_redux_demo = get_option('redux_demo'); ?>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
        ?>
    <link rel="shortcut icon" href="<?php if(isset($matelick_redux_demo['favicon']['url'])){?><?php echo esc_url($matelick_redux_demo['favicon']['url']); ?><?php }?>">
    <?php }?>
    <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
    <!--  loader  -->
        <div id="myloader">
            <span class="loader">
                <?php if(isset($matelick_redux_demo['logo']['url']) && ($matelick_redux_demo['logo']['url'] != '')){?>
                <img src="<?php echo esc_url($matelick_redux_demo['logo']['url']); ?>" class="normal" alt="logo">
                <?php }else{ ?>
                <img src="<?php echo get_template_directory_uri();?>/assets/img/logo.png" class="normal" alt="logo">
                <?php } ?>
                <?php if(isset($matelick_redux_demo['logo_2x']['url']) && ($matelick_redux_demo['logo_2x']['url'] != '')){?>
                <img src="<?php echo esc_url($matelick_redux_demo['logo_2x']['url']); ?>" class="retina" alt="logo">
                <?php }else{ ?>
                <img src="<?php echo get_template_directory_uri();?>/assets/img/logo@2x.png" class="retina" alt="logo">
                <?php } ?>
            </span>
        </div>
        
        <!--  Main Wrap  -->
        <div id="main-wrap">
            <!--  Header & Menu  -->
            <header id="header" class="fixed transparent">
                <nav class="navbar navbar-default white">
                    <!--  Header Logo  -->
                    <div id="logo">
                        <a class="navbar-brand" href="<?php echo esc_url(home_url('/')); ?>">
                            <?php if(isset($matelick_redux_demo['logo']['url']) && ($matelick_redux_demo['logo']['url'] != '')){?>
                            <img src="<?php echo esc_url($matelick_redux_demo['logo']['url']); ?>" class="normal" alt="logo">
                            <?php }else{ ?>
                            <img src="<?php echo get_template_directory_uri();?>/assets/img/logo.png" class="normal" alt="logo">
                            <?php } ?>
                            <?php if(isset($matelick_redux_demo['logo_2x']['url']) && ($matelick_redux_demo['logo_2x']['url'] != '')){?>
                            <img src="<?php echo esc_url($matelick_redux_demo['logo_2x']['url']); ?>" class="retina" alt="logo">
                            <?php }else{ ?>
                            <img src="<?php echo get_template_directory_uri();?>/assets/img/logo@2x.png" class="retina" alt="logo">
                            <?php } ?>

                            <?php if(isset($matelick_redux_demo['logo_white']['url']) && ($matelick_redux_demo['logo_white']['url'] != '')){?>
                            <img src="<?php echo esc_url($matelick_redux_demo['logo_white']['url']); ?>" class="normal white-logo" alt="logo">
                            <?php }else{ ?>
                            <img src="<?php echo get_template_directory_uri();?>/assets/img/logo_white.png" class="normal white-logo" alt="logo">
                            <?php } ?>
                            <?php if(isset($matelick_redux_demo['logo_white_2x']['url']) && ($matelick_redux_demo['logo_white_2x']['url'] != '')){?>
                            <img src="<?php echo esc_url($matelick_redux_demo['logo_white_2x']['url']); ?>" class="retina white-logo" alt="logo">
                            <?php }else{ ?>
                            <img src="<?php echo get_template_directory_uri();?>/assets/img/logo_white@2x.png" class="retina white-logo" alt="logo">
                            <?php } ?>
                        </a>
                    </div>
                    <!--  END Header Logo  -->
                    <!--  Minimal Menu Only Menu Button Visible  -->
                    <div id="menu" class="minimal">
                        <div class="menu-holder">
                            <?php 
                            wp_nav_menu( 
                                array( 
                                    'theme_location' => 'primary',
                                    'container' => '',
                                    'menu_class' => '', 
                                    'menu_id' => '',
                                    'menu'            => '',
                                    'container_class' => '',
                                    'container_id'    => '',
                                    'echo'            => true,
                                     'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                                     'walker'            => new matelick_wp_bootstrap_navwalker(),
                                    'before'          => '',
                                    'after'           => '',
                                    'link_before'     => '',
                                    'link_after'      => '',
                                    'items_wrap'      => '<ul class=" %2$s">%3$s</ul>',
                                    'depth'           => 0,        
                                )
                            ); ?>
                            <ul>
                                <!-- Lang -->
                                <li class="lang">
                                    <span class="current"><a href="#">en</a></span>
                                    <ul>     
                                        <li><a href="#">it</a></li>
                                    </ul>
                                </li>
                            </ul>
                            <!--  Close Button Minimal Menu  -->
                            <button class="close-menu">
                                <i class="icon ion-ios-close-empty"></i>
                            </button>
                            <!--  END Close Button Minimal Menu  -->
                        </div>
                    </div>
                    <!--  END Minimal Menu Only Menu Button Visible  -->
                    <!--  Button Minimal Menu  -->
                    <div id="menu-responsive" class="minimal">
                        <div class="menu-button">
                            <span class="bar bar-1"></span>
                            <span class="bar bar-2"></span>
                            <span class="bar bar-3"></span>
                        </div>
                    </div>
                    <!--  END Button Minimal Menu  -->
                </nav>
            </header>
            <!--  END Header & Menu  -->