<!doctype html>
<html class="no-js" <?php language_attributes(); ?>>
<?php $matelick_redux_demo = get_option('redux_demo'); ?>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
        ?>
    <link rel="shortcut icon" href="<?php if(isset($matelick_redux_demo['favicon']['url'])){?><?php echo esc_url($matelick_redux_demo['favicon']['url']); ?><?php }?>">
    <?php }?>
    <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
    <!--  loader  -->
        <div id="myloader">
            <span class="loader">
                <?php if(isset($matelick_redux_demo['logo']['url']) && ($matelick_redux_demo['logo']['url'] != '')){?>
                <img src="<?php echo esc_url($matelick_redux_demo['logo']['url']); ?>" class="normal" alt="logo">
                <?php }else{ ?>
                <img src="<?php echo get_template_directory_uri();?>/assets/img/logo.png" class="normal" alt="logo">
                <?php } ?>
                <?php if(isset($matelick_redux_demo['logo_white']['url']) && ($matelick_redux_demo['logo_white']['url'] != '')){?>
                <img src="<?php echo esc_url($matelick_redux_demo['logo_white']['url']); ?>" class="normal white-logo" alt="logo">
                <?php }else{ ?>
                <img src="<?php echo get_template_directory_uri();?>/assets/img/logo_white.png" class="normal white-logo" alt="logo">
                <?php } ?>
            </span>
        </div>
        
        <!--  Main Wrap  -->
        <div id="main-wrap" class="full-width">
            <!--  Header & Menu  -->
            <header id="header" class="fixed transparent full-width">
                <nav class="navbar navbar-default white">
                    <!--  Header Logo  -->
                    <div id="logo">
                        <a class="navbar-brand" href="index.html">
                            <?php if(isset($matelick_redux_demo['logo']['url']) && ($matelick_redux_demo['logo']['url'] != '')){?>
                            <img src="<?php echo esc_url($matelick_redux_demo['logo']['url']); ?>" class="normal" alt="logo">
                            <?php }else{ ?>
                            <img src="<?php echo get_template_directory_uri();?>/assets/img/logo.png" class="normal" alt="logo">
                            <?php } ?>
                            <?php if(isset($matelick_redux_demo['logo_2x']['url']) && ($matelick_redux_demo['logo_2x']['url'] != '')){?>
                            <img src="<?php echo esc_url($matelick_redux_demo['logo_2x']['url']); ?>" class="retina" alt="logo">
                            <?php }else{ ?>
                            <img src="<?php echo get_template_directory_uri();?>/assets/img/logo@2x.png" class="retina" alt="logo">
                            <?php } ?>

                            <?php if(isset($matelick_redux_demo['logo_white']['url']) && ($matelick_redux_demo['logo_white']['url'] != '')){?>
                            <img src="<?php echo esc_url($matelick_redux_demo['logo_white']['url']); ?>" class="normal white-logo" alt="logo">
                            <?php }else{ ?>
                            <img src="<?php echo get_template_directory_uri();?>/assets/img/logo_white.png" class="normal white-logo" alt="logo">
                            <?php } ?>
                            <?php if(isset($matelick_redux_demo['logo_white_2x']['url']) && ($matelick_redux_demo['logo_white_2x']['url'] != '')){?>
                            <img src="<?php echo esc_url($matelick_redux_demo['logo_white_2x']['url']); ?>" class="retina white-logo" alt="logo">
                            <?php }else{ ?>
                            <img src="<?php echo get_template_directory_uri();?>/assets/img/logo_white@2x.png" class="retina white-logo" alt="logo">
                            <?php } ?>
                        </a>
                    </div>
                    <!--  END Header Logo  -->
                    <!--  Classic menu, responsive menu classic  -->
                    <div id="menu-classic">
                        <div class="menu-holder">
                            <?php 
                            wp_nav_menu( 
                                array( 
                                    'theme_location' => 'primary',
                                    'container' => '',
                                    'menu_class' => '', 
                                    'menu_id' => '',
                                    'menu'            => '',
                                    'container_class' => '',
                                    'container_id'    => '',
                                    'echo'            => true,
                                     'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                                     'walker'            => new matelick_wp_bootstrap_navwalker(),
                                    'before'          => '',
                                    'after'           => '',
                                    'link_before'     => '',
                                    'link_after'      => '',
                                    'items_wrap'      => '<ul class=" %2$s">%3$s</ul>',
                                    'depth'           => 0,        
                                )
                            ); ?>
                            <ul>
                                <!-- Search Icon -->
                                <li class="search">
                                    <i class="icon ion-ios-search"></i>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <!--  END Classic menu, responsive menu classic  -->
                    <!--  Button for Responsive Menu Classic  -->
                    <div id="menu-responsive-classic">
                        <div class="menu-button">
                            <span class="bar bar-1"></span>
                            <span class="bar bar-2"></span>
                            <span class="bar bar-3"></span>
                        </div>
                    </div>
                    <!--  END Button for Responsive Menu Classic  -->
                    <!--  Search Box  -->
                    <div id="search-box" class="full-width">
                        <form role="search" id="search-form" class="black big">
                            <div class="form-input">
                                <input class="form-field black big" name="s" type="search" placeholder="Search...">
                                <span class="form-button big">
                                    <button type="submit">
                                        <i class="icon ion-ios-search"></i>
                                    </button>
                                </span>
                            </div>
                        </form>
                        <button class="close-search-box">
                            <i class="icon ion-ios-close-empty"></i>
                        </button>
                    </div>
                    <!--  END Search Box  -->
                </nav>
            </header>
            <!--  END Header & Menu  -->