<?php
/*
 * Template Name: Blog Masonry Sidebar
 * Description: A Page Template with a Page Builder design.
 */
$matelick_redux_demo = get_option('redux_demo');
get_header(); ?>
<!--  Page Content, class footer-fixed if footer is fixed  -->
<div id="page-content" class="header-static footer-fixed">
    <!--  Slider  -->
    <div id="flexslider" class="fullpage-wrap small">
        <ul class="slides">
            <?php if(isset($matelick_redux_demo['background_blog']['url']) && ($matelick_redux_demo['background_blog']['url'] != '')){?>
            <li style="background-image:url(<?php echo esc_url($matelick_redux_demo['background_blog']['url']); ?>)">
            <?php }else{?>
            <li style="background-image:url(<?php echo get_template_directory_uri();?>/assets/img/blog.jpg)">
            <?php } ?>
                <div class="text text-center">
                    <h1 class="white margin-bottom-small"><?php if(isset($matelick_redux_demo['blog_masonry_sidebar_title'])){?>
                    <?php echo wp_specialchars_decode(esc_attr($matelick_redux_demo['blog_masonry_sidebar_title']));?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Journal', 'matelick' ); } ?></h1>
                    <?php if(isset($matelick_redux_demo['blog_masonry_sidebar_desc']) && $matelick_redux_demo['blog_masonry_sidebar_desc'] != ''){?>
                    <p class="heading white"><?php echo wp_specialchars_decode(esc_attr($matelick_redux_demo['blog_masonry_sidebar_desc']));?></p>
                    <?php } ?>
                </div>
                <div class="gradient dark"></div>
            </li>
        </ul>
    </div>
    <!--  END Slider  -->
    <div id="home-wrap" class="content-section fullpage-wrap grey-background row">
        <div class="col-md-9 padding-leftright-null">
            <!--  Projects Section  -->
            <section id="news" class="page">
                <div class="news-items equal two-columns">
                    <?php $args = array(    
                    'paged' => $paged,
                    'post_type' => 'post',
                    );
                    $wp_query = new WP_Query($args);
                    while (have_posts()): the_post();
                    $description = get_post_meta(get_the_ID(),'_cmb_description', true);  
                    ?>
                    <div class="single-news one-item">
                        <article>
                            <?php if ( has_post_thumbnail() ) { ?>
                            <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="">
                            <?php } ?>
                            <div class="content">
                                <span class="read">
                                    <i class="material-icons">subject</i>
                                </span>
                                <h3><?php the_title(); ?></h3>
                                <?php if ( get_the_category() ) : ?>
                                <?php foreach ( get_the_category() as $cate ) : ?>
                                <span class="category"><?php echo esc_html( $cate->name ); ?></span>
                                <?php endforeach; ?>
                                <?php endif; ?>
                                <span class="date"><?php the_time(get_option( 'date_format' ));?></span>
                                <p class="heading full black left"><?php echo wp_specialchars_decode(esc_attr($description));?></p>
                            </div>
                            <a href="<?php the_permalink();?>" class="link"></a>
                        </article>
                    </div>
                    <?php endwhile; ?>
                </div>
            </section>
            <!-- Navigation -->
            <section id="nav" class="padding-top-null grey-background">
                <div class="row classic-pagination">
                    <?php matelick_pagination(); ?>
                </div>
            </section>
            <!-- END Navigation -->
        </div>
        <!--  Right Sidebar  -->
        <div class="col-md-3 text">
            <aside class="sidebar">
                <?php get_sidebar();?>
            </aside>
        </div>
        <!--  END Right Sidebar  -->
    </div>
</div>
<!--  END Page Content, class footer-fixed if footer is fixed  -->
<?php
get_footer();
?>