<?php
$matelick_redux_demo = get_option('redux_demo');
get_header(); ?>
<?php 
while (have_posts()): the_post(); 
$description = get_post_meta(get_the_ID(),'_cmb_description', true);  
$single_video = get_post_meta(get_the_ID(),'_cmb_single_video', true);  
$single_audio = get_post_meta(get_the_ID(),'_cmb_single_audio', true);  
?>
<!--  Page Content, class footer-fixed if footer is fixed  -->
<div id="page-content" class="header-static footer-fixed">
    <!--  Slider  -->
    <div id="flexslider" class="fullpage-wrap small">
        <ul class="slides">
            <?php if(isset($matelick_redux_demo['background_post']['url']) && ($matelick_redux_demo['background_post']['url'] != '')){?>
            <li style="background-image:url(<?php echo esc_url($matelick_redux_demo['background_post']['url']); ?>)">
            <?php }else{?>
            <li style="background-image:url(<?php echo get_template_directory_uri();?>/assets/img/post.jpg)">
            <?php } ?>
                <div class="text text-center">
                    <h1 class="white margin-bottom-small"><?php if(isset($matelick_redux_demo['blog_detail_title'])){?>
                    <?php echo wp_specialchars_decode(esc_attr($matelick_redux_demo['blog_detail_title']));?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Standard Post', 'matelick' ); } ?></h1>
                    <?php if(isset($matelick_redux_demo['blog_detail_desc']) && $matelick_redux_demo['blog_detail_desc'] != ''){?>
                    <p class="heading white"><?php echo wp_specialchars_decode(esc_attr($matelick_redux_demo['blog_detail_desc']));?></p>
                    <?php } ?>
                </div>
                <div class="gradient dark"></div>
            </li>
        </ul>
    </div>
    <!--  END Slider  -->
    <div id="post-wrap" class="content-section fullpage-wrap">
        <div class="row padding-onlytop-md content-post no-margin">
            <div class="col-md-offset-3 col-md-6 padding-leftright-null">
                <h2><?php the_title(); ?></h2>
                <?php if ( get_the_category() ) : ?>
                <?php foreach ( get_the_category() as $cate ) : ?>
                <span class="category"><?php echo esc_html( $cate->name ); ?></span>
                <?php endforeach; ?>
                <?php endif; ?>
                <span class="date"><?php the_time(get_option( 'date_format' ));?></span>
                <p class="heading full black left"><?php echo wp_specialchars_decode(esc_attr($description));?></p>
            </div>
            <?php if ( has_post_thumbnail() ) { ?> 
            <div class="col-md-offset-2 col-md-8 padding-leftright-null">
                <img class="img-responsive padding-md" src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="">
            </div>
            <?php } ?>
            <div class="col-md-offset-3 col-md-6 padding-leftright-null">
                <?php the_content(); ?>
            </div>
        </div>
        <!--  Post Meta  -->
        <div class="row no-margin">
            <div class="col-md-offset-3 col-md-6 padding-leftright-null">
                <div id="post-meta">
                    <?php if ( get_the_tags() ) : ?>
                    <ul class="tagCloud">
                        <li class="title"><?php if(isset($monteno_redux_demo['blog_tags'])){?>
                                            <?php echo wp_specialchars_decode(esc_attr($monteno_redux_demo['blog_tags']));?>
                                            <?php }else{?>
                                            <?php echo esc_html__( 'Tags ', 'metalick' );
                                            }
                                            ?></li>
                        
                        <?php foreach ( get_the_tags() as $tag ) : ?>
                        <li><a href="<?php echo esc_url( get_tag_link( $tag->term_id ) ); ?>"><?php echo esc_html( $tag->name ); ?></a></li>
                        <?php endforeach; ?>
                    </ul>
                    <?php endif; ?>
                    <span class="author"><?php if(isset($monteno_redux_demo['written_by'])){?>
                                            <?php echo wp_specialchars_decode(esc_attr($monteno_redux_demo['written_by']));?>
                                            <?php }else{?>
                                            <?php echo esc_html__( 'Written by ', 'metalick' );
                                            }
                                            ?> <em><?php the_author(); ?></em></span>
                    <span class="info"><?php if(isset($monteno_redux_demo['pubblished'])){?>
                                            <?php echo wp_specialchars_decode(esc_attr($monteno_redux_demo['pubblished']));?>
                                            <?php }else{?>
                                            <?php echo esc_html__( 'Pubblished  ', 'metalick' );
                                            }
                                            ?><em><?php echo get_the_date( 'M, Y' );?></em></span>
                </div>
            </div>
        </div>
        <!--  END Post Meta  -->
        <!--  Share Btn  -->
        <div id="share">
            <a class="share-btn">
                <i class="material-icons">share</i>
            </a>
            <div class="share-icons" style="display:none">
                <span class='st_facebook_hcount'></span>
                <span class='st_twitter_hcount'></span>
                <span class='st_instagram_hcount'></span>  
                <span class='st_linkedin_hcount'></span>  
                <script type="text/javascript" src="http://w.sharethis.com/button/buttons.js"></script>
                <script type="text/javascript">stLight.options({publisher: "ur-6a7e320d-37d8-511-633d-4264e3ae8c", doNotHash: false, doNotCopy: false, hashAddressBar: false});</script>
            </div>
        </div>
        <!--  END Share Btn  -->
        <!--  Comments  -->
        <div class="row no-margin">
            <div class="col-md-offset-3 col-md-6 padding-leftright-null">
                <div id="comments">
                    <?php comments_template();?>
                </div>
            </div>
        </div>
        <!--  END Comments  -->
    </div>
</div>
<!--  END Page Content, class footer-fixed if footer is fixed  -->
<?php endwhile; ?>
<?php
get_footer();
?>