<?php
/**
 * The Template for displaying all single posts
 */
$matelick_redux_demo = get_option('redux_demo');
get_header(); ?>
<?php 
while (have_posts()): the_post(); 
$client = get_post_meta(get_the_ID(),'_cmb_pr_client', true);   
$grid_images = get_post_meta(get_the_ID(),'_cmb_grid_images', true);   
?>
<?php if ( has_post_format('gallery') ) { ?>
<!--  Page Content, class footer-fixed if footer is fixed  -->
            <div id="page-content" class="header-static footer-fixed">
                <!--  Slider  -->
                <div id="flexslider" class="fullpage-wrap small">
                    <ul class="slides">
                        <?php if(isset($matelick_redux_demo['background_gallery_pr']['url']) && ($matelick_redux_demo['background_gallery_pr']['url'] != '')){?>
                        <li style="background-image:url(<?php echo esc_url($matelick_redux_demo['background_gallery_pr']['url']); ?>)">
                        <?php }else{?>
                        <li style="background-image:url(<?php echo get_template_directory_uri();?>/assets/img/service1.jpg)">
                        <?php } ?>
                            <div class="text text-center">
                                <h1 class="white margin-bottom-small"><?php if(isset($matelick_redux_demo['pr_gallery_title'])){?>
                                <?php echo wp_specialchars_decode(esc_attr($matelick_redux_demo['pr_gallery_title']));?>
                                <?php }else{?>
                                <?php echo esc_html__( 'Gallery Project', 'matelick' ); } ?></h1>
                                <?php if(isset($matelick_redux_demo['pr_gallery_desc']) && $matelick_redux_demo['pr_gallery_desc'] != ''){?>
                                <p class="heading white"><?php echo wp_specialchars_decode(esc_attr($matelick_redux_demo['pr_gallery_desc']));?></p>
                                <?php } ?>
                            </div>
                            <div class="gradient dark"></div>
                        </li>
                    </ul>
                </div>
                <!--  END Slider  -->
                <div id="post-wrap" class="content-section fullpage-wrap">
                    <div class="row padding-md content-post no-margin">
                        <div class="col-md-offset-3 col-md-6 padding-leftright-null text-center">
                            <div id="post-meta" class="project">
                                <ul class="tagCloud">
                                    <?php
                                    $cats = get_the_terms(get_the_ID(),'category1');
                                    foreach($cats as $cat) { ?>
                                    <li><a href="<?php echo get_category_link( $cat->term_id ) ?>"><?php echo esc_attr($cat->name);?></a></li>
                                    <?php } ?>
                                </ul>
                                <h2><?php the_title(); ?></h2>
                                <span class="author"><?php echo wp_specialchars_decode(esc_attr($client));?></span>
                            </div>
                        </div>
                        <div class="col-md-12 padding-md post-gallery">
                            <?php $gallery = get_post_gallery( get_the_ID(), false );
                            if(isset($gallery['ids'])){    
                                $gallery_ids = $gallery['ids'];
                                $img_ids = explode(",",$gallery_ids);
                                $i=0; $j=0;?>
                                <?php   
                                foreach( $img_ids AS $img_id ){ 
                                    $image_src = wp_get_attachment_image_src($img_id,'');
                                ?>
                            <div class="item">
                                <img class="img-responsive" src="<?php echo esc_url($image_src[0]); ?>" alt="">
                            </div>
                            <?php } } ?>
                        </div>
                        <div class="col-md-offset-3 col-md-6 padding-leftright-null">
                            <?php the_content(); ?>
                        </div>
                    </div>
                    <!--  END Post Meta  -->
                    <!--  Share btn  -->
                    <div id="share">
                        <a class="share-btn">
                            <i class="material-icons">share</i>
                        </a>
                        <div class="share-icons" style="display:none">
                            <span class='st_facebook_hcount'></span>
                            <span class='st_twitter_hcount'></span>
                            <span class='st_instagram_hcount'></span>  
                            <span class='st_linkedin_hcount'></span>  
                            <script type="text/javascript" src="http://w.sharethis.com/button/buttons.js"></script>
                            <script type="text/javascript">stLight.options({publisher: "ur-6a7e320d-37d8-511-633d-4264e3ae8c", doNotHash: false, doNotCopy: false, hashAddressBar: false});</script>
                        </div>
                    </div>
                    <!--  END Share btn  -->
                    <!--  Related Projects  -->
                    <div id="showcase-projects" class="related-projects row margin-leftright-null grey-background">
                        <div class="col-md-12 padding-leftright-null">
                            <div class="text padding-bottom-null text-center">
                                <h2 class="title center grey margin-bottom-small"><?php if(isset($monteno_redux_demo['related_projects'])){?>
                                            <?php echo wp_specialchars_decode(esc_attr($monteno_redux_demo['related_projects']));?>
                                            <?php }else{?>
                                            <?php echo esc_html__( 'Related Projects', 'metalick' );
                                            }
                                            ?></h2>
                            </div>
                        </div>
                        <div class="col-md-12 text padding-bottom-null">
                            <section class="showcase">
                                <?php
                                $recent_posts = wp_get_recent_posts(array(
                                    'numberposts' => 3, 
                                    'post_type' => 'project', 
                                    'post_status' => 'publish',
                                    'exclude' => $post->ID
                                ));
                                foreach( $recent_posts as $post_item ) : ?>
                                <?php $rc_description = get_post_meta($post_item['ID'],'_cmb_description', true); ?>
                                <?php $post_date = get_the_date( 'dS M Y', $post_item['ID']) ?>
                                <div class="item col-md-4">
                                    <div class="showcase-project ">
                                        <?php if ( has_post_thumbnail($post_item['ID']) ) { ?> 
                                        <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id($post_item['ID']));?>" alt="">
                                        <?php } ?>
                                        <div class="content">
                                            <span class="read">
                                                <i class="material-icons">add</i>
                                            </span>
                                            <h6 class="heading black rl-title"><?php echo $post_item['post_title']; ?></h6>
                                            <?php
                                            $cats = get_the_terms($post_item['ID'],'category1');
                                            $i==0;
                                            foreach($cats as $cat) { ?>
                                            <?php $i++; ?>
                                                <?php if ($i==1){ ?>
                                                    <span><?php echo esc_attr($cat->name);?></span>
                                                <?php } else { ?>
                                                    <span><?php echo esc_attr(' / '.$cat->name);?></span>
                                                <?php } ?>
                                            <?php } ?>
                                        </div>
                                        <a href="<?php echo get_permalink($post_item['ID']) ?>" class="link"></a>
                                    </div>
                                </div>
                                <?php endforeach; ?>
                            </section>
                        </div>
                    </div>
                    <!--  END Related Projects  -->
                </div>
            </div>
            <!--  END Page Content, class footer-fixed if footer is fixed  -->
<?php } else { ?> 
<!--  Page Content, class footer-fixed if footer is fixed  -->
<div id="page-content" class="header-static footer-fixed">
<!--  Slider  -->
<div id="flexslider" class="fullpage-wrap small">
    <ul class="slides">
        <?php if(isset($matelick_redux_demo['background_project']['url']) && ($matelick_redux_demo['background_project']['url'] != '')){?>
        <li style="background-image:url(<?php echo esc_url($matelick_redux_demo['background_project']['url']); ?>)">
        <?php }else{?>
        <li style="background-image:url(<?php echo get_template_directory_uri();?>/assets/img/portfolio.jpg)">
        <?php } ?>
            <div class="text text-center">
                <h1 class="white margin-bottom-small"><?php if(isset($matelick_redux_demo['pr_detail_title'])){?>
                <?php echo wp_specialchars_decode(esc_attr($matelick_redux_demo['pr_detail_title']));?>
                <?php }else{?>
                <?php echo esc_html__( 'Standard Project', 'matelick' ); } ?></h1>
                <?php if(isset($matelick_redux_demo['pr_detail_desc']) && $matelick_redux_demo['pr_detail_desc'] != ''){?>
                <p class="heading white"><?php echo wp_specialchars_decode(esc_attr($matelick_redux_demo['pr_detail_desc']));?></p>
                <?php } ?>
            </div>
            <div class="gradient dark"></div>
        </li>
    </ul>
</div>
<!--  END Slider  -->
<div id="post-wrap" class="content-section fullpage-wrap">
    <div class="row padding-onlytop-md content-post no-margin">
        <div class="col-md-offset-3 col-md-6 padding-leftright-null">
            <div id="post-meta" class="project">
                <ul class="tagCloud">
                    <?php
                    $cats = get_the_terms(get_the_ID(),'category1');
                    foreach($cats as $cat) { ?>
                    <li><a href="<?php echo get_category_link( $cat->term_id ) ?>"><?php echo esc_attr($cat->name);?></a></li>
                    <?php } ?>
                </ul>
                <h2><?php the_title(); ?></h2>
                <span class="author"><?php echo wp_specialchars_decode(esc_attr($client));?></span>
            </div>
            <?php the_content(); ?>
        </div>
        <div class="col-md-offset-2 col-md-8 padding-leftright-null padding-onlytop-md padding-onlybottom-lg">
            <?php if ( has_post_thumbnail() ) { ?> 
            <img class="img-full simple-shadow" src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="">
            <?php } ?>
            <section class="grid-images">
                <?php echo wp_specialchars_decode($grid_images);?>
            </section>
        </div>
    </div>
    <div id="share">
        <a class="share-btn">
            <i class="material-icons">share</i>
        </a>
        <div class="share-icons" style="display:none">
            <span class='st_facebook_hcount'></span>
            <span class='st_twitter_hcount'></span>
            <span class='st_instagram_hcount'></span>  
            <span class='st_linkedin_hcount'></span>  
            <script type="text/javascript" src="http://w.sharethis.com/button/buttons.js"></script>
            <script type="text/javascript">stLight.options({publisher: "ur-6a7e320d-37d8-511-633d-4264e3ae8c", doNotHash: false, doNotCopy: false, hashAddressBar: false});</script>
        </div>
    </div>
</div>
</div>
<!--  END Page Content, class footer-fixed if footer is fixed  -->
<?php } ?>
<?php endwhile; ?>
<?php
get_footer();
?>