<?php
/**
 * The Template for displaying all single posts
 */
$matelick_redux_demo = get_option('redux_demo');
get_header(); ?>
<?php 
while (have_posts()): the_post(); 
$description = get_post_meta(get_the_ID(),'_cmb_description', true);  
$single_video = get_post_meta(get_the_ID(),'_cmb_single_video', true);  
$single_audio = get_post_meta(get_the_ID(),'_cmb_single_audio', true);  
?>
<?php if ( has_post_format('audio') ) { ?>
<!--  Page Content, class footer-fixed if footer is fixed  -->
<div id="page-content" class="header-static footer-fixed">
    <!--  Slider  -->
    <div id="flexslider" class="fullpage-wrap small">
        <ul class="slides">
            <?php if(isset($matelick_redux_demo['background_audio_post']['url']) && ($matelick_redux_demo['background_audio_post']['url'] != '')){?>
            <li style="background-image:url(<?php echo esc_url($matelick_redux_demo['background_audio_post']['url']); ?>)">
            <?php }else{?>
            <li style="background-image:url(<?php echo get_template_directory_uri();?>/assets/img/post2.jpg)">
            <?php } ?>
                <div class="text text-center">
                    <h1 class="white margin-bottom-small"><?php if(isset($matelick_redux_demo['blog_detail_title'])){?>
                    <?php echo wp_specialchars_decode(esc_attr($matelick_redux_demo['blog_detail_title']));?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Audio Post', 'matelick' ); } ?></h1>
                    <?php if(isset($matelick_redux_demo['blog_detail_desc']) && $matelick_redux_demo['blog_detail_desc'] != ''){?>
                    <p class="heading white"><?php echo wp_specialchars_decode(esc_attr($matelick_redux_demo['blog_detail_desc']));?></p>
                    <?php } ?>
                </div>
                <div class="gradient dark"></div>
            </li>
        </ul>
    </div>
    <!--  END Slider  -->
    <div id="post-wrap" class="content-section fullpage-wrap">
        <div class="row padding-onlytop-md content-post no-margin">
            <div class="col-md-offset-3 col-md-6 padding-leftright-null">
                <h2><?php the_title(); ?></h2>
                <?php if ( get_the_category() ) : ?>
                <?php foreach ( get_the_category() as $cate ) : ?>
                <span class="category"><?php echo esc_html( $cate->name ); ?></span>
                <?php endforeach; ?>
                <?php endif; ?>
                <span class="date"><?php the_time(get_option( 'date_format' ));?></span>
                <p class="heading full black left"><?php echo wp_specialchars_decode(esc_attr($description));?></p>
            </div>
            <div class="col-md-offset-2 col-md-8 padding-leftright-null padding-md">
                <iframe width="100%" height="450" scrolling="no" frameborder="no" src="<?php echo esc_url($single_audio);?>"></iframe>
            </div>
            <div class="col-md-offset-3 col-md-6 padding-leftright-null">
                <?php the_content(); ?>
            </div>
        </div>
        <!--  Post Meta  -->
        <div class="row no-margin">
            <div class="col-md-offset-3 col-md-6 padding-leftright-null">
                <div id="post-meta">
                    <?php if ( get_the_tags() ) : ?>
                    <ul class="tagCloud">
                        <li class="title"><?php if(isset($monteno_redux_demo['blog_tags'])){?>
                                            <?php echo wp_specialchars_decode(esc_attr($monteno_redux_demo['blog_tags']));?>
                                            <?php }else{?>
                                            <?php echo esc_html__( 'Tags ', 'metalick' );
                                            }
                                            ?></li>
                        
                        <?php foreach ( get_the_tags() as $tag ) : ?>
                        <li><a href="<?php echo esc_url( get_tag_link( $tag->term_id ) ); ?>"><?php echo esc_html( $tag->name ); ?></a></li>
                        <?php endforeach; ?>
                    </ul>
                    <?php endif; ?>
                    <span class="author"><?php if(isset($monteno_redux_demo['written_by'])){?>
                                            <?php echo wp_specialchars_decode(esc_attr($monteno_redux_demo['written_by']));?>
                                            <?php }else{?>
                                            <?php echo esc_html__( 'Written by ', 'metalick' );
                                            }
                                            ?> <em><?php the_author(); ?></em></span>
                    <span class="info"><?php if(isset($monteno_redux_demo['pubblished'])){?>
                                            <?php echo wp_specialchars_decode(esc_attr($monteno_redux_demo['pubblished']));?>
                                            <?php }else{?>
                                            <?php echo esc_html__( 'Pubblished  ', 'metalick' );
                                            }
                                            ?><em><?php echo get_the_date( 'M, Y' );?></em></span>
                </div>
            </div>
        </div>
        <!--  END Post Meta  -->
        <!--  Share Btn  -->
        <div id="share">
            <a class="share-btn">
                <i class="material-icons">share</i>
            </a>
            <div class="share-icons" style="display:none">
                <span class='st_facebook_hcount'></span>
                <span class='st_twitter_hcount'></span>
                <span class='st_instagram_hcount'></span>  
                <span class='st_linkedin_hcount'></span>  
                <script type="text/javascript" src="http://w.sharethis.com/button/buttons.js"></script>
                <script type="text/javascript">stLight.options({publisher: "ur-6a7e320d-37d8-511-633d-4264e3ae8c", doNotHash: false, doNotCopy: false, hashAddressBar: false});</script>
            </div>
        </div>
        <!--  END Share Btn  -->
        <!--  Comments  -->
        <div class="row no-margin">
            <div class="col-md-offset-3 col-md-6 padding-leftright-null">
                <div id="comments">
                    <?php comments_template();?>
                </div>
            </div>
        </div>
        <!--  END Comments  -->
    </div>
</div>
<!--  END Page Content, class footer-fixed if footer is fixed  -->
<?php } elseif ( has_post_format('video') ) { ?>
<!--  Page Content, class footer-fixed if footer is fixed  -->
            <div id="page-content" class="header-static footer-fixed">
                <!--  Slider  -->
                <div id="flexslider" class="fullpage-wrap small">
                    <ul class="slides">
                        <?php if(isset($matelick_redux_demo['background_post']['url']) && ($matelick_redux_demo['background_post']['url'] != '')){?>
                        <li style="background-image:url(<?php echo esc_url($matelick_redux_demo['background_post']['url']); ?>)">
                        <?php }else{?>
                        <li style="background-image:url(<?php echo get_template_directory_uri();?>/assets/img/post.jpg)">
                        <?php } ?>
                            <div class="text text-center">
                                <h1 class="white margin-bottom-small"><?php if(isset($matelick_redux_demo['video_post_title'])){?>
                                <?php echo wp_specialchars_decode(esc_attr($matelick_redux_demo['video_post_title']));?>
                                <?php }else{?>
                                <?php echo esc_html__( 'Video Post', 'matelick' ); } ?></h1>
                                <?php if(isset($matelick_redux_demo['blog_detail_desc']) && $matelick_redux_demo['blog_detail_desc'] != ''){?>
                                <p class="heading white"><?php echo wp_specialchars_decode(esc_attr($matelick_redux_demo['blog_detail_desc']));?></p>
                                <?php } ?>
                            </div>
                            <div class="gradient dark"></div>
                        </li>
                    </ul>
                </div>
                <!--  END Slider  -->
                <div id="post-wrap" class="content-section fullpage-wrap">
                    <div class="row padding-onlytop-md content-post no-margin">
                        <div class="col-md-offset-3 col-md-6 padding-leftright-null">
                            <h2><?php the_title(); ?></h2>
                            <?php if ( get_the_category() ) : ?>
                            <?php foreach ( get_the_category() as $cate ) : ?>
                            <span class="category"><?php echo esc_html( $cate->name ); ?></span>
                            <?php endforeach; ?>
                            <?php endif; ?>
                            <span class="date"><?php the_time(get_option( 'date_format' ));?></span>
                            <p class="heading full black left"><?php echo wp_specialchars_decode(esc_attr($description));?></p>
                        </div>
                        <div class="col-md-offset-2 col-md-8 padding-leftright-null padding-md">
                            <a class="popup-vimeo" href="<?php echo esc_url($single_video);?>">
                                <?php if ( has_post_thumbnail() ) { ?>   
                                <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="company">
                                <?php } ?>
                            </a>
                        </div>
                        <div class="col-md-offset-3 col-md-6 padding-leftright-null">
                            <?php the_content(); ?>
                        </div>
                    </div>
                    <!--  Post Meta  -->
                    <div class="row no-margin">
                        <div class="col-md-offset-3 col-md-6 padding-leftright-null">
                            <div id="post-meta">
                                <?php if ( get_the_tags() ) : ?>
                                <ul class="tagCloud">
                                    <li class="title"><?php if(isset($monteno_redux_demo['blog_tags'])){?>
                                                        <?php echo wp_specialchars_decode(esc_attr($monteno_redux_demo['blog_tags']));?>
                                                        <?php }else{?>
                                                        <?php echo esc_html__( 'Tags ', 'metalick' );
                                                        }
                                                        ?></li>
                                    
                                    <?php foreach ( get_the_tags() as $tag ) : ?>
                                    <li><a href="<?php echo esc_url( get_tag_link( $tag->term_id ) ); ?>"><?php echo esc_html( $tag->name ); ?></a></li>
                                    <?php endforeach; ?>
                                </ul>
                                <?php endif; ?>
                                <span class="author"><?php if(isset($monteno_redux_demo['written_by'])){?>
                                                        <?php echo wp_specialchars_decode(esc_attr($monteno_redux_demo['written_by']));?>
                                                        <?php }else{?>
                                                        <?php echo esc_html__( 'Written by ', 'metalick' );
                                                        }
                                                        ?> <em><?php the_author(); ?></em></span>
                                <span class="info"><?php if(isset($monteno_redux_demo['pubblished'])){?>
                                                        <?php echo wp_specialchars_decode(esc_attr($monteno_redux_demo['pubblished']));?>
                                                        <?php }else{?>
                                                        <?php echo esc_html__( 'Pubblished  ', 'metalick' );
                                                        }
                                                        ?><em><?php echo get_the_date( 'M, Y' );?></em></span>
                            </div>
                        </div>
                    </div>
                    <!--  END Post Meta  -->
                    <!--  Share Btn  -->
                    <div id="share">
                        <a class="share-btn">
                            <i class="material-icons">share</i>
                        </a>
                        <div class="share-icons" style="display:none">
                            <span class='st_facebook_hcount'></span>
                            <span class='st_twitter_hcount'></span>
                            <span class='st_instagram_hcount'></span>  
                            <span class='st_linkedin_hcount'></span>  
                            <script type="text/javascript" src="http://w.sharethis.com/button/buttons.js"></script>
                            <script type="text/javascript">stLight.options({publisher: "ur-6a7e320d-37d8-511-633d-4264e3ae8c", doNotHash: false, doNotCopy: false, hashAddressBar: false});</script>
                        </div>
                    </div>
                    <!--  END Share Btn  -->
                    <!--  Comments  -->
                    <div class="row no-margin">
                        <div class="col-md-offset-3 col-md-6 padding-leftright-null">
                            <div id="comments">
                                <?php comments_template();?>
                            </div>
                        </div>
                    </div>
                    <!--  END Comments  -->
                </div>
            </div>
            <!--  END Page Content, class footer-fixed if footer is fixed  -->
<?php } elseif ( has_post_format('gallery') ) { ?>
<!--  Page Content, class footer-fixed if footer is fixed  -->
<div id="page-content" class="header-static footer-fixed">
    <!--  Slider  -->
    <div id="flexslider" class="fullpage-wrap small">
        <ul class="slides">
            <?php if(isset($matelick_redux_demo['background_post']['url']) && ($matelick_redux_demo['background_post']['url'] != '')){?>
            <li style="background-image:url(<?php echo esc_url($matelick_redux_demo['background_post']['url']); ?>)">
            <?php }else{?>
            <li style="background-image:url(<?php echo get_template_directory_uri();?>/assets/img/post.jpg)">
            <?php } ?>
                <div class="text text-center">
                    <h1 class="white margin-bottom-small"><?php if(isset($matelick_redux_demo['gallery_post_title'])){?>
                    <?php echo wp_specialchars_decode(esc_attr($matelick_redux_demo['gallery_post_title']));?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Gallery Post', 'matelick' ); } ?></h1>
                    <?php if(isset($matelick_redux_demo['blog_detail_desc']) && $matelick_redux_demo['blog_detail_desc'] != ''){?>
                    <p class="heading white"><?php echo wp_specialchars_decode(esc_attr($matelick_redux_demo['blog_detail_desc']));?></p>
                    <?php } ?>
                </div>
                <div class="gradient dark"></div>
            </li>
        </ul>
    </div>
    <!--  END Slider  -->
    <div id="post-wrap" class="content-section fullpage-wrap">
        <div class="row padding-onlytop-md content-post no-margin">
            <div class="col-md-offset-3 col-md-6 padding-leftright-null">
                <h2><?php the_title(); ?></h2>
                 <?php if ( get_the_category() ) : ?>
                <?php foreach ( get_the_category() as $cate ) : ?>
                <span class="category"><?php echo esc_html( $cate->name ); ?></span>
                <?php endforeach; ?>
                <?php endif; ?>
                <span class="date"><?php the_time(get_option( 'date_format' ));?></span>
                <p class="heading full black left"><?php echo wp_specialchars_decode(esc_attr($description));?></p>
            </div>
            <div class="col-md-12 padding-md post-gallery">
                <?php $gallery = get_post_gallery( get_the_ID(), false );
                if(isset($gallery['ids'])){    
                    $gallery_ids = $gallery['ids'];
                    $img_ids = explode(",",$gallery_ids);
                    $i=0; $j=0;?>
                    <?php   
                    foreach( $img_ids AS $img_id ){ 
                        $image_src = wp_get_attachment_image_src($img_id,'');
                        ?>
                <div class="item">
                    <img class="img-responsive" src="<?php echo esc_url($image_src[0]); ?>" alt="">
                </div>
                <?php } } ?>
            </div>
            <div class="col-md-offset-3 col-md-6 padding-leftright-null">
                <?php the_content(); ?>
            </div>
        </div>
        <!--  Post Meta  -->
        <div class="row no-margin">
            <div class="col-md-offset-3 col-md-6 padding-leftright-null">
                <div id="post-meta">
                    <?php if ( get_the_tags() ) : ?>
                    <ul class="tagCloud">
                        <li class="title"><?php if(isset($monteno_redux_demo['blog_tags'])){?>
                                            <?php echo wp_specialchars_decode(esc_attr($monteno_redux_demo['blog_tags']));?>
                                            <?php }else{?>
                                            <?php echo esc_html__( 'Tags ', 'metalick' );
                                            }
                                            ?></li>
                        
                        <?php foreach ( get_the_tags() as $tag ) : ?>
                        <li><a href="<?php echo esc_url( get_tag_link( $tag->term_id ) ); ?>"><?php echo esc_html( $tag->name ); ?></a></li>
                        <?php endforeach; ?>
                    </ul>
                    <?php endif; ?>
                    <span class="author"><?php if(isset($monteno_redux_demo['written_by'])){?>
                                            <?php echo wp_specialchars_decode(esc_attr($monteno_redux_demo['written_by']));?>
                                            <?php }else{?>
                                            <?php echo esc_html__( 'Written by ', 'metalick' );
                                            }
                                            ?> <em><?php the_author(); ?></em></span>
                    <span class="info"><?php if(isset($monteno_redux_demo['pubblished'])){?>
                                            <?php echo wp_specialchars_decode(esc_attr($monteno_redux_demo['pubblished']));?>
                                            <?php }else{?>
                                            <?php echo esc_html__( 'Pubblished  ', 'metalick' );
                                            }
                                            ?><em><?php echo get_the_date( 'M, Y' );?></em></span>
                </div>
            </div>
        </div>
        <!--  END Post Meta  -->
        <div id="share">
            <a class="share-btn">
                <i class="material-icons">share</i>
            </a>
            <div class="share-icons" style="display:none">
                <span class='st_facebook_hcount'></span>
                <span class='st_twitter_hcount'></span>
                <span class='st_instagram_hcount'></span>  
                <span class='st_linkedin_hcount'></span>  
                <script type="text/javascript" src="http://w.sharethis.com/button/buttons.js"></script>
                <script type="text/javascript">stLight.options({publisher: "ur-6a7e320d-37d8-511-633d-4264e3ae8c", doNotHash: false, doNotCopy: false, hashAddressBar: false});</script>
            </div>
        </div>
        <!--  Comments  -->
        <div class="row no-margin">
            <div class="col-md-offset-3 col-md-6 padding-leftright-null">
                <div id="comments">
                    <?php comments_template();?>
                </div>
            </div>
        </div>
        <!--  END Comments  -->
        <!--  Related News  -->
        <div id="related-news" class="row margin-leftright-null grey-background">
            <div class="col-md-12 padding-leftright-null">
                <div class="text padding-bottom-null text-center">
                    <h2 class="title center grey margin-bottom-small"><?php if(isset($monteno_redux_demo['related_post'])){?>
                                            <?php echo wp_specialchars_decode(esc_attr($monteno_redux_demo['related_post']));?>
                                            <?php }else{?>
                                            <?php echo esc_html__( 'Related Stories ', 'metalick' );
                                            }
                                            ?></h2>
                </div>
            </div>
            <div class="col-md-12 text padding-top-null related-news" id="news">
                <?php
                $recent_posts = wp_get_recent_posts(array(
                    'numberposts' => 2, 
                    'post_status' => 'publish' ,
                    'exclude' => $post->ID
                ));
                foreach( $recent_posts as $post_item ) : ?>
                <?php $rc_description = get_post_meta($post_item['ID'],'_cmb_description', true); ?>
                <?php $post_date = get_the_date( 'dS M Y', $post_item['ID']) ?>
                <div class="col-sm-6 single-news horizontal-news">
                    <article>
                        <?php if ( has_post_thumbnail($post_item['ID']) ) { ?> 
                        <div class="col-md-6 padding-leftright-null">
                            <div class="image" style="background-image:url(<?php echo wp_get_attachment_url(get_post_thumbnail_id($post_item['ID']));?>)"></div>
                        </div>
                        <?php } ?>
                        <div class="col-md-6 padding-leftright-null">
                            <div class="content">
                                <span class="read">
                                    <i class="material-icons">subject</i>
                                </span>
                                <h3><?php echo $post_item['post_title']; ?></h3>
                                <?php if ( get_the_category($post_item['ID']) ) : ?>
                                <?php foreach ( get_the_category($post_item['ID']) as $categ ) : ?>
                                <span class="category"><?php echo esc_html( $categ->name ); ?></span>
                                <?php endforeach; ?>
                                <?php endif; ?>
                                <span class="date"><?php echo $post_date;?></span>
                                <p class="heading full black left"><?php echo wp_specialchars_decode(esc_attr($rc_description));?></p>
                            </div>
                        </div>
                        <a href="<?php echo get_permalink($post_item['ID']) ?>" class="link"></a>
                    </article>
                </div>
                <?php endforeach; ?>
            </div>
        </div>
        <!--  END Related News  -->
    </div>
</div>
<!--  END Page Content, class footer-fixed if footer is fixed  -->
<?php } else { ?> 
<!--  Page Content, class footer-fixed if footer is fixed  -->
<div id="page-content" class="header-static footer-fixed">
    <!--  Slider  -->
    <div id="flexslider" class="fullpage-wrap small">
        <ul class="slides">
            <?php if(isset($matelick_redux_demo['background_post']['url']) && ($matelick_redux_demo['background_post']['url'] != '')){?>
            <li style="background-image:url(<?php echo esc_url($matelick_redux_demo['background_post']['url']); ?>)">
            <?php }else{?>
            <li style="background-image:url(<?php echo get_template_directory_uri();?>/assets/img/post.jpg)">
            <?php } ?>
                <div class="text text-center">
                    <h1 class="white margin-bottom-small"><?php if(isset($matelick_redux_demo['blog_detail_title'])){?>
                    <?php echo wp_specialchars_decode(esc_attr($matelick_redux_demo['blog_detail_title']));?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Standard Post', 'matelick' ); } ?></h1>
                    <?php if(isset($matelick_redux_demo['blog_detail_desc']) && $matelick_redux_demo['blog_detail_desc'] != ''){?>
                    <p class="heading white"><?php echo wp_specialchars_decode(esc_attr($matelick_redux_demo['blog_detail_desc']));?></p>
                    <?php } ?>
                </div>
                <div class="gradient dark"></div>
            </li>
        </ul>
    </div>
    <!--  END Slider  -->
    <div id="post-wrap" class="content-section fullpage-wrap">
        <div class="row padding-onlytop-md content-post no-margin">
            <div class="col-md-offset-3 col-md-6 padding-leftright-null">
                <h2><?php the_title(); ?></h2>
                <?php if ( get_the_category() ) : ?>
                <?php foreach ( get_the_category() as $cate ) : ?>
                <span class="category"><?php echo esc_html( $cate->name ); ?></span>
                <?php endforeach; ?>
                <?php endif; ?>
                <span class="date"><?php the_time(get_option( 'date_format' ));?></span>
                <p class="heading full black left"><?php echo wp_specialchars_decode(esc_attr($description));?></p>
            </div>
            <?php if ( has_post_thumbnail() ) { ?> 
            <div class="col-md-offset-2 col-md-8 padding-leftright-null">
                <img class="img-responsive padding-md" src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="">
            </div>
            <?php } ?>
            <div class="col-md-offset-3 col-md-6 padding-leftright-null">
                <?php the_content(); ?>
            </div>
        </div>
        <!--  Post Meta  -->
        <div class="row no-margin">
            <div class="col-md-offset-3 col-md-6 padding-leftright-null">
                <div id="post-meta">
                    <?php if ( get_the_tags() ) : ?>
                    <ul class="tagCloud">
                        <li class="title"><?php if(isset($monteno_redux_demo['blog_tags'])){?>
                                            <?php echo wp_specialchars_decode(esc_attr($monteno_redux_demo['blog_tags']));?>
                                            <?php }else{?>
                                            <?php echo esc_html__( 'Tags ', 'metalick' );
                                            }
                                            ?></li>
                        
                        <?php foreach ( get_the_tags() as $tag ) : ?>
                        <li><a href="<?php echo esc_url( get_tag_link( $tag->term_id ) ); ?>"><?php echo esc_html( $tag->name ); ?></a></li>
                        <?php endforeach; ?>
                    </ul>
                    <?php endif; ?>
                    <span class="author"><?php if(isset($monteno_redux_demo['written_by'])){?>
                                            <?php echo wp_specialchars_decode(esc_attr($monteno_redux_demo['written_by']));?>
                                            <?php }else{?>
                                            <?php echo esc_html__( 'Written by ', 'metalick' );
                                            }
                                            ?> <em><?php the_author(); ?></em></span>
                    <span class="info"><?php if(isset($monteno_redux_demo['pubblished'])){?>
                                            <?php echo wp_specialchars_decode(esc_attr($monteno_redux_demo['pubblished']));?>
                                            <?php }else{?>
                                            <?php echo esc_html__( 'Pubblished  ', 'metalick' );
                                            }
                                            ?><em><?php echo get_the_date( 'M, Y' );?></em></span>
                </div>
            </div>
        </div>
        <!--  END Post Meta  -->
        <!--  Share Btn  -->
        <div id="share">
            <a class="share-btn">
                <i class="material-icons">share</i>
            </a>
            <div class="share-icons" style="display:none">
                <span class='st_facebook_hcount'></span>
                <span class='st_twitter_hcount'></span>
                <span class='st_instagram_hcount'></span>  
                <span class='st_linkedin_hcount'></span>  
                <script type="text/javascript" src="http://w.sharethis.com/button/buttons.js"></script>
                <script type="text/javascript">stLight.options({publisher: "ur-6a7e320d-37d8-511-633d-4264e3ae8c", doNotHash: false, doNotCopy: false, hashAddressBar: false});</script>
            </div>
        </div>
        <!--  END Share Btn  -->
        <!--  Comments  -->
        <div class="row no-margin">
            <div class="col-md-offset-3 col-md-6 padding-leftright-null">
                <div id="comments">
                    <?php comments_template();?>
                </div>
            </div>
        </div>
        <!--  END Comments  -->
    </div>
</div>
<!--  END Page Content, class footer-fixed if footer is fixed  -->
<?php } ?>
<?php endwhile; ?>
<?php
get_footer();
?>